const libs = `${process.cwd()}/libs`;
const config = require(`${libs}/config`);

const Agenda = require('agenda');

const agenda = new Agenda({
    db: {
        address: config.monq.uri,
        collection: 'agendaJobs'
    },
    maxConcurrency: 1,
    defaultLockLimit: 0,
    defaultLockLifetime: 86400*1000
});

require(`${libs}/jobs/download`)(agenda);

agenda.on('ready', function() {
  agenda.start();
});

module.exports = agenda;
